%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate mio

Name:           rust-mio0.6
Version:        0.6.23
Release:    1%{?dist}
Summary:        Lightweight non-blocking IO

License:        MIT
URL:            https://crates.io/crates/mio
Source0:         %{crates_source}
Patch:          mio-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Lightweight non-blocking IO.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-deprecated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-deprecated-devel %{_description}

This package contains library source intended for building other packages which
use the "with-deprecated" feature of the "%{crate}" crate.

%files       -n %{name}+with-deprecated-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.23-1
- initial build
